package org.ballerinalang.net.grpc.generated.providers;

import org.ballerinalang.annotation.JavaSPIService;
import org.ballerinalang.model.types.TypeKind;
import org.ballerinalang.natives.NativeElementRepository;
import org.ballerinalang.natives.NativeElementRepository.NativeActionDef;
import org.ballerinalang.natives.NativeElementRepository.NativeFunctionDef;
import org.ballerinalang.spi.NativeElementProvider;

@JavaSPIService ("org.ballerinalang.spi.NativeElementProvider")
public class StandardNativeElementProvider implements NativeElementProvider {

	@Override
	public void populateNatives(NativeElementRepository repo) {
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "grpc", "CallerAction.isCancelled", new TypeKind[] {  }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.net.grpc.nativeimpl.calleraction.IsCancelled"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "grpc", "CallerAction.sendError", new TypeKind[] { TypeKind.INT, TypeKind.STRING, TypeKind.OBJECT }, new TypeKind[] { TypeKind.RECORD }, "org.ballerinalang.net.grpc.nativeimpl.calleraction.SendError"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "grpc", "CallerAction.complete", new TypeKind[] { TypeKind.OBJECT }, new TypeKind[] { TypeKind.RECORD }, "org.ballerinalang.net.grpc.nativeimpl.calleraction.Complete"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "grpc", "CallerAction.send", new TypeKind[] { TypeKind.ANY, TypeKind.OBJECT }, new TypeKind[] { TypeKind.RECORD }, "org.ballerinalang.net.grpc.nativeimpl.calleraction.Send"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "grpc", "Headers.exists", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.net.grpc.nativeimpl.headers.Exists"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "grpc", "Headers.removeAll", new TypeKind[] {  }, new TypeKind[] {  }, "org.ballerinalang.net.grpc.nativeimpl.headers.RemoveAll"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "grpc", "Headers.addEntry", new TypeKind[] { TypeKind.STRING, TypeKind.STRING }, new TypeKind[] {  }, "org.ballerinalang.net.grpc.nativeimpl.headers.AddEntry"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "grpc", "Headers.get", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.net.grpc.nativeimpl.headers.Get"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "grpc", "Headers.remove", new TypeKind[] { TypeKind.STRING }, new TypeKind[] {  }, "org.ballerinalang.net.grpc.nativeimpl.headers.Remove"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "grpc", "Headers.getAll", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.ARRAY }, "org.ballerinalang.net.grpc.nativeimpl.headers.GetAll"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "grpc", "Headers.setEntry", new TypeKind[] { TypeKind.STRING, TypeKind.STRING }, new TypeKind[] {  }, "org.ballerinalang.net.grpc.nativeimpl.headers.SetEntry"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "grpc", "Stub.initStub", new TypeKind[] { TypeKind.OBJECT, TypeKind.STRING, TypeKind.STRING, TypeKind.MAP }, new TypeKind[] {  }, "org.ballerinalang.net.grpc.nativeimpl.servicestub.InitStub"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "grpc", "Stub.nonBlockingExecute", new TypeKind[] { TypeKind.STRING, TypeKind.ANY, TypeKind.TYPEDESC, TypeKind.OBJECT }, new TypeKind[] { TypeKind.ANY, TypeKind.RECORD }, "org.ballerinalang.net.grpc.nativeimpl.servicestub.NonBlockingExecute"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "grpc", "Stub.streamingExecute", new TypeKind[] { TypeKind.STRING, TypeKind.TYPEDESC, TypeKind.OBJECT }, new TypeKind[] { TypeKind.OBJECT, TypeKind.RECORD }, "org.ballerinalang.net.grpc.nativeimpl.servicestub.StreamingExecute"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "grpc", "Stub.blockingExecute", new TypeKind[] { TypeKind.STRING, TypeKind.ANY, TypeKind.OBJECT }, new TypeKind[] { TypeKind.ANY, TypeKind.RECORD }, "org.ballerinalang.net.grpc.nativeimpl.servicestub.BlockingExecute"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "grpc", "GrpcClient.sendError", new TypeKind[] { TypeKind.INT, TypeKind.STRING }, new TypeKind[] { TypeKind.RECORD }, "org.ballerinalang.net.grpc.nativeimpl.client.SendError"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "grpc", "GrpcClient.complete", new TypeKind[] {  }, new TypeKind[] { TypeKind.RECORD }, "org.ballerinalang.net.grpc.nativeimpl.client.Complete"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "grpc", "GrpcClient.send", new TypeKind[] { TypeKind.ANY }, new TypeKind[] { TypeKind.RECORD }, "org.ballerinalang.net.grpc.nativeimpl.client.Send"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "grpc", "Listener.start", new TypeKind[] {  }, new TypeKind[] {  }, "org.ballerinalang.net.grpc.nativeimpl.serviceendpoint.Start"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "grpc", "Listener.init", new TypeKind[] { TypeKind.RECORD }, new TypeKind[] {  }, "org.ballerinalang.net.grpc.nativeimpl.serviceendpoint.Init"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "grpc", "Listener.stop", new TypeKind[] {  }, new TypeKind[] {  }, "org.ballerinalang.net.grpc.nativeimpl.serviceendpoint.Stop"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "grpc", "Listener.getCallerActions", new TypeKind[] {  }, new TypeKind[] { TypeKind.OBJECT }, "org.ballerinalang.net.grpc.nativeimpl.serviceendpoint.GetCallerActions"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "grpc", "Listener.register", new TypeKind[] { TypeKind.TYPEDESC }, new TypeKind[] {  }, "org.ballerinalang.net.grpc.nativeimpl.serviceendpoint.Register"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "grpc", "Client.start", new TypeKind[] {  }, new TypeKind[] {  }, "org.ballerinalang.net.grpc.nativeimpl.clientendpoint.Start"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "grpc", "Client.init", new TypeKind[] { TypeKind.RECORD }, new TypeKind[] {  }, "org.ballerinalang.net.grpc.nativeimpl.clientendpoint.Init"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "grpc", "Client.stop", new TypeKind[] {  }, new TypeKind[] {  }, "org.ballerinalang.net.grpc.nativeimpl.clientendpoint.Stop"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "grpc", "Client.getCallerActions", new TypeKind[] {  }, new TypeKind[] { TypeKind.CONNECTOR }, "org.ballerinalang.net.grpc.nativeimpl.clientendpoint.GetCallerActions"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "grpc", "Client.register", new TypeKind[] { TypeKind.TYPEDESC }, new TypeKind[] {  }, "org.ballerinalang.net.grpc.nativeimpl.clientendpoint.Register"));
	}

}
